import { z } from 'npm:zod'
import { Adapter } from './types.ts'


const Config = z.object({
    adapters: z.instanceof(Adapter).array().min(1)
})


export class Notify{
    config: z.infer<typeof Config>
    constructor(config: z.infer<typeof Config>){
        this.config = Config.parse(config)
    }


    async send(message: string){
        return Promise.all(this.config.adapters.map(adptr=>adptr.send(message)))
    }
}