import { z } from "npm:zod";
import { Adapter } from "./types.ts";

const Config = z.object({
    topic: z.string(),
});

export class Ntfy extends Adapter {
    config: z.infer<typeof Config>;
    constructor(config: z.infer<typeof Config>) {
        super()
        this.config = Config.parse(config);
    }

    async send(message: string) {
        await fetch(`https://ntfy.sh/${this.config.topic}`, {
            method: "POST",
            body: message,
        });
    }
}
